PLplot: TkwDev Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
TkwDev Struct Reference

`#include "pltkwd.h"`

## Public Attributes
TkwDisplay * | tkwd
Window | window
Pixmap | pixmap
GC | gc
XColor | curcolor
long | event_mask
int | flags
long | init_width
long | init_height
unsigned | width
unsigned | height
unsigned | border
double | xscale_init
double | yscale_init
double | xscale
double | yscale
short | xlen
short | ylen
int | write_to_window
int | write_to_pixmap
int | instr
int | max_instr
PLGraphicsIn | gin
int | locate_mode
int | drawing_xhairs
XPoint | xhair_x [2]
XPoint | xhair_y [2]
void(* | MasterEH )(PLStream *, XEvent *)

## Detailed Description

Definition at line 69 of file pltkwd.h.

## Member Data Documentation

unsigned TkwDev::border

Definition at line 83 of file pltkwd.h.

XColor TkwDev::curcolor

Definition at line 76 of file pltkwd.h.

int TkwDev::drawing_xhairs

Definition at line 101 of file pltkwd.h.

long TkwDev::event_mask

Definition at line 78 of file pltkwd.h.

int TkwDev::flags

Definition at line 79 of file pltkwd.h.

GC TkwDev::gc

Definition at line 75 of file pltkwd.h.

PLGraphicsIn TkwDev::gin

Definition at line 98 of file pltkwd.h.

unsigned TkwDev::height

Definition at line 83 of file pltkwd.h.

long TkwDev::init_height

Definition at line 81 of file pltkwd.h.

long TkwDev::init_width

Definition at line 80 of file pltkwd.h.

int TkwDev::instr

Definition at line 95 of file pltkwd.h.

int TkwDev::locate_mode

Definition at line 100 of file pltkwd.h.

void( * TkwDev::MasterEH)(PLStream *, XEvent *)

Definition at line 104 of file pltkwd.h.

int TkwDev::max_instr

Definition at line 96 of file pltkwd.h.

Pixmap TkwDev::pixmap

Definition at line 74 of file pltkwd.h.

TkwDisplay* TkwDev::tkwd

Definition at line 71 of file pltkwd.h.

unsigned TkwDev::width

Definition at line 83 of file pltkwd.h.

Window TkwDev::window

Definition at line 73 of file pltkwd.h.

int TkwDev::write_to_pixmap

Definition at line 93 of file pltkwd.h.

int TkwDev::write_to_window

Definition at line 92 of file pltkwd.h.

XPoint TkwDev::xhair_x[2]

Definition at line 102 of file pltkwd.h.

XPoint TkwDev::xhair_y[2]

Definition at line 102 of file pltkwd.h.

short TkwDev::xlen

Definition at line 90 of file pltkwd.h.

double TkwDev::xscale

Definition at line 87 of file pltkwd.h.

double TkwDev::xscale_init

Definition at line 85 of file pltkwd.h.

short TkwDev::ylen

Definition at line 90 of file pltkwd.h.

double TkwDev::yscale

Definition at line 88 of file pltkwd.h.

double TkwDev::yscale_init

Definition at line 86 of file pltkwd.h.

The documentation for this struct was generated from the following file:

- pltkwd.h